﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3012: (1 year) VER RS-232 /9500+2Hd
DATE:                  2010-08-04 15:07:44
AUTHOR:                Fluke
REVISION:              $Revision: 18562 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       178
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3012
# 
#  Source(s):
#        TDS3000 Series Digital Phosphor Oscilloscopes Service Manual,
#        071-0382-01, supports firmware version 2.0 and above
# 
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub Tek TDS3000/3000B RS-232 Interface
#        Sub UUT RS-232 Connection DTE DB9 (m)
#        Sub Tek TDS3000 Setup RS-232
#        Sub IEEE-488.2 Identification Query RS-232
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000 Check Firmware Version
#        Sub Tek TDS3000 Set Bandwidth & Number of Channels
#        Sub Tek TDS3000 Self-Test RS-232
#        Sub Tek TDS3000 Signal Path Compensation Cal RS-232
#        Sub Tek TDS3000 (1 yr) DCV RS-232 /9500
#        Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /9500/600
#        Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /9500/600
#        Sub Tek TDS3000 (1 yr) Sample Rate RS-232 /9500
#        Sub Tek TDS3000 Select Channel RS-232
#        Sub Tek TDS3000 Trigger Check and Level Adjust RS-232
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Tektronix Communication Module
#        - TDS3GM or TDS3GV
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S  L
  1.006  ENDIF

  1.007  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.008  ASK+           K

  1.009  IF           NOT(VERSIONCHECK("7.3.38"))
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.016  HEAD         PRELIMINARY INSTRUCTIONS
  1.017  TARGET
  1.018  DISP         Ensure a minimum UUT warm-up time of at least
  1.018  DISP         20 minutes has been allowed to elapse, prior
  1.018  DISP         to beginning verification.

  1.019  CALL         Sub Tek TDS3000/3000B RS-232 Interface
  1.020  CALL         Sub UUT RS-232 Connection DTE DB9 (m)
  1.021  CALL         Sub Tek TDS3000 Setup RS-232

  1.022  PORT         *RST;*OPC?[I!]

  1.023  HEAD         UUT IDENTIFICATION
  1.024  CALL         Sub IEEE-488.2 Identification Query RS-232

  1.025  MATH         @UUT_Manufacturer = "Tektronix"
  1.026  MATH         @UUT_Model        = "TDS 3012"
  1.027  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.028  JMPL         END                           @Abort

  1.029  CALL         Sub Tek TDS3000 Check Firmware Version
  1.030  JMPL         END                           @Abort

  1.031  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.032  CALL         Sub Tek TDS3000 Signal Path Compensation Cal RS-232
  1.033  JMPL         END                           @Abort

  1.034  CALL         Sub Tek TDS3000 Self-Test RS-232
  1.035  JMPL         END                           @Abort

  1.036  DISP         Connect the 9500 to the UUT as follows:
  1.036  DISP
  1.036  DISP         CH 1 Active Head to UUT CH 1.
  1.036  DISP         CH 2 Active Head to UUT CH 2.

  1.037  MATH         @Chan = 1
  1.038  M9500                       CH1
  1.039  CALL         Sub Tek TDS3000 (1 yr) DCV RS-232 /9500

  1.040  MATH         @Chan = 2
  1.041  M9500                       CH2
  1.042  CALL         Sub Tek TDS3000 (1 yr) DCV RS-232 /9500

  1.043  MATH         @Chan = 1
  1.044  M9500                       CH1
  1.045  CALL         Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /9500/600

  1.046  MATH         @Chan = 2
  1.047  M9500                       CH2
  1.048  CALL         Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /9500/600

  1.049  MATH         @Chan = 1
  1.050  M9500                       CH1
  1.051  CALL         Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /9500/600

  1.052  MATH         @Chan = 2
  1.053  M9500                       CH2
  1.054  CALL         Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /9500/600

  1.055  MATH         @Chan = 1
  1.056  M9500                       CH1
  1.057  CALL         Sub Tek TDS3000 (1 yr) Sample Rate RS-232 /9500

  1.058  LABEL        END
  1.059  HEAD         -2

  1.060  IF           @Abort
  1.061  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.062  ELSE
  1.063  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.064  ENDIF

  1.065  END
